%if 0%{?fedora} > 16
%global monodir /usr/lib/mono
%else
%global monodir %{_libdir}/mono
%endif

Name:    kimono 
Summary: .NET/Mono KDE bindings
Version: 4.11.3
Release: 1%{?dist}

# most items are pure GPLv2+
# plasma bindings mix LGPLv2+ and GPLv2+ (combined result is GPLv2+ too)
License: GPLv2+
Url:     https://projects.kde.org/projects/kde/kdebindings/csharp/kimono
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= %{version} 
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: pkgconfig(akonadi)
BuildRequires: pkgconfig(mono)
BuildRequires: pkgconfig(monodoc)
BuildRequires: qyoto-devel >= %{version}
BuildRequires: smokekde-devel >= %{version}

%{?_kde4_version:Requires: qyoto%{?_isa} >= %{_kde4_version}}
%{?_kde4_version:Requires: smokekde%{?_isa} >= %{_kde4_version}}

%{?mono_arches:ExclusiveArch: %{mono_arches}}

%description
%{summary}.

%package akonadi
Summary: Akonadi runtime support for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: smokekde-akonadi%{?_isa} >= %{version}
%description akonadi
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files 
%doc ChangeLog COPYING.GPLv2 COPYING.LGPLv2
%{_kde4_libdir}/kde4/kimonopluginfactory.so
%{_kde4_libdir}/libkhtml-sharp.so
%{_kde4_libdir}/libkimono.so
%{_kde4_libdir}/libktexteditor-sharp.so
%{_kde4_libdir}/libnepomuk-sharp.so
%{_kde4_libdir}/libplasma-sharp.so
%{_kde4_libdir}/libsoprano-sharp.so
%{monodir}/qyoto/kde-dotnet.dll
%{monodir}/qyoto/khtml-dll.dll
%{monodir}/qyoto/ktexteditor-dotnet.dll
%{monodir}/qyoto/nepomuk-dll.dll
%{monodir}/qyoto/plasma-dll.dll
%{monodir}/qyoto/soprano.dll
%{monodir}/gac/kde-dotnet/
%{monodir}/gac/khtml-dll/
%{monodir}/gac/ktexteditor-dotnet/
%{monodir}/gac/nepomuk-dll/
%{monodir}/gac/plasma-dll/
%{monodir}/gac/soprano/
%{_kde4_appsdir}/plasma_scriptengine_kimono/
%{_kde4_datadir}/kde4/services/plasma-scriptengine-kimono-applet.desktop
%{_kde4_datadir}/kde4/services/plasma-scriptengine-kimono-dataengine.desktop

%files akonadi
%{_kde4_libdir}/libakonadi-sharp.so
%{monodir}/qyoto/akonadi.dll
%{monodir}/gac/akonadi/


%changelog
* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Thu Aug 08 2013 Than Ngo <than@redhat.com> - 4.11.0-1
- 4.11.0

* Thu Jul 25 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.97-1
- 4.10.97

* Tue Jul 23 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.95-1
- 4.10.95

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90

* Sat Jun 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.4-1
- 4.10.4

* Mon May 06 2013 Than Ngo <than@redhat.com> - 4.10.3-1
- 4.10.3

* Mon Apr 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.2-1
- 4.10.2

* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-1
- 4.10.1

* Fri Feb 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.0-1
- 4.10.0

* Sun Jan 20 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.98-1
- 4.9.98

* Fri Jan 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.97-1
- 4.9.97

* Thu Dec 20 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.95-1
- 4.9.95

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.90-1
- 4.9.90

* Mon Dec 03 2012 Than Ngo <than@redhat.com> - 4.9.4-1
- 4.9.4

* Sat Sep 29 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.2-1
- 4.9.2

* Mon Sep 03 2012 Than Ngo <than@redhat.com> - 4.9.1-1
- 4.9.1

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 4.9.0-1
- 4.9.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.97-1
- 4.8.97

* Thu Jun 28 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.95-1
- 4.8.95

* Sun Jun 10 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.90-1
- 4.8.90

* Thu May 31 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.80-1
- 4.8.80

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Fri Mar 23 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-2
- -akonadi subpkg

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Fri Feb 10 2012 Dan Horák <dan[at]danny.cz> - 4.8.0-2
- set ExclusiveArchs

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Tue Jan 10 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-2
- set %%monodir for f17+ differences

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-1
- 4.7.97
- clarify licensing 

* Fri Dec 23 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.95-1
- 4.7.95

* Fri Dec 09 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- first try

